Package org.eclipse.emf.cdo.spi.server

# Class RepositoryConfigurator.TreeExtension

java.lang.Object
org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.TreeExtension

All Implemented Interfaces:
  `RepositoryConfigurator.Extension`

Enclosing class:
  `RepositoryConfigurator`

public abstract static class RepositoryConfigurator.TreeExtension extends Object implements RepositoryConfigurator.Extension
A repository configurator `extension` that

Since:
  4.23
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.RepositoryConfigurator.Extension

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`TreeExtension()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`configureRepository(InternalRepository repository, org.eclipse.net4j.util.collection.Tree config, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`
`String`
`configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeExtension

public TreeExtension()

## Method Details

### configureRepository

public String configureRepository(InternalRepository repository, Element extensionConfig, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `configureRepository` in interface `RepositoryConfigurator.Extension`

### configureRepository

protected abstract String configureRepository(InternalRepository repository, org.eclipse.net4j.util.collection.Tree config, Map<String,String> parameters, org.eclipse.net4j.util.container.IManagedContainer container)